Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1811865 - [Scale] Host Monitoring generates excessive amount of qos related sql queries
Summary: [Scale] Host Monitoring generates excessive amount of qos related sql queries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: eraviv
QA Contact: mlehrer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 01:43 UTC by eraviv
Modified: 2020-08-04 13:22 UTC (History)
5 users (show)

Fixed In Version: rhv-4.4.0-28
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-04 13:21:58 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)
Idle 10 mins post reboot capture query counts (3.15 MB, text/plain)
2020-05-12 10:50 UTC, mlehrer
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:22:36 UTC
oVirt gerrit 105206 0 master MERGED core: network_sp.sql - host net attachments with QoS 2020-07-28 01:08:25 UTC
oVirt gerrit 105793 0 master MERGED core: AttachmentDao - decouple dao retrievals from mapper 2020-07-28 01:08:25 UTC
oVirt gerrit 105794 0 master MERGED core: AttachmentDao - host: less QoS dao calls 2020-07-28 01:08:25 UTC
oVirt gerrit 105956 0 master MERGED core: InterfaceDao test: verify QOS exists & type 2020-07-28 01:08:25 UTC
oVirt gerrit 105958 0 master MERGED core: dao tests - fix qos type in fixtures.xml 2020-07-28 01:08:25 UTC
oVirt gerrit 105959 0 master MERGED core: network_sp.sql - host interfaces with QOS 2020-07-28 01:08:24 UTC
oVirt gerrit 105960 0 master MERGED core: InterfaceDao - decouple qos retrieval from mapper 2020-07-28 01:08:24 UTC
oVirt gerrit 105961 0 master MERGED core: InterfaceDao - host: less QOS dao calls 2020-07-28 01:08:24 UTC
oVirt gerrit 105962 0 master MERGED core: InterfaceDao - host: test qos row mapper 2020-07-28 01:08:24 UTC
oVirt gerrit 106003 0 master MERGED core: InterfaceDao - host: remove unused stored procedure 2020-07-28 01:08:24 UTC
oVirt gerrit 106071 0 master MERGED core: network_sp.sql: remove unused stored procedure 2020-07-28 01:08:24 UTC

Description eraviv 2020-03-10 01:43:17 UTC
Description of problem:

Host monitoring generates too many 'getqosbyqosid' queries.



Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. create 95 host environment with 300 vlans on one host interface (non mgmt)
2. Setup: 
- Webadmin is closed
- No REST calls
- VdsRefreshRate=default
- Host in UP status
3. let engine run idle for 15 minutes after startup
4. count 'getqosbyqosid' queries to db with db pg_stat_statements in 10 minutes

Actual results:
~1.6 million 'getqosbyqosid' queries over the 10 minute period

Expected results:
~57 thousand 'getqosbyqosid' queries over the 10 minute period 

Additional info:
https://docs.google.com/document/d/1-Mv2JjDkV2gKiXsomVKCtMf5r4TZbxjiFRtbygBd-fU/edit?usp=sharing

Comment 2 mlehrer 2020-05-12 10:50:43 UTC
Created attachment 1687655 [details]
Idle 10 mins post reboot capture query counts

#Env: 150 Hosts with 100 networks
4.4.0-0.31.master.el8
HE environment with 200 nested hosts of which 150 hosts have 100 networks per host.
DWH separated and JVM set to 4G with engine set with with 200 pool connections / 250 db connections.



# /usr/share/ovirt-engine/dbscripts/engine-psql.sh -c ""SELECT count(*) from vds_interface_view""
 count 
-------
 15825
(1 row)"


getqosbyqosid executed 60,320

Comment 5 errata-xmlrpc 2020-08-04 13:21:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.